<script setup lang="ts">
import ConfigTemplate from '../../ConfigTemplate.vue'

const props = defineProps<{ node: any }>()

const role = inject('role') as string

const form = reactive({
  message: ''
})
watchEffect(() => {
  Object.assign(form, props.node.data[role])
})
</script>

<template>
  <ConfigTemplate :model="form" :node="node">
    <el-form-item>
      <el-input v-model="form.message" :rows="3" type="textarea" placeholder="请输入通知内容" />
    </el-form-item>
  </ConfigTemplate>
</template>
